<?php
// +----------------------------------------------------------------------
// | 应用配置
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

return [
    // 调试模式
    'de_bug' => true,
    // 启动服务时是否输出启动流程
    'start_echo' => true,
    // 语言包
    'lang' => 'zh-cn',
    
    // +-----------------------------
    // | Cookies
    // +-----------------------------

    // 前缀
    'cookies_prefix' => 'swx_',
    // 过期时间(s)
    'cookies_outtime' => 7200,
    // 存放目录
    'cookies_path' => '/',
    // domain
    'cookies_domain' => '',
    // secure
    'cookies_secure' => false,
    // httponly
    'cookies_httponly' => false,
    
    // +-----------------------------
    // | Session
    // +-----------------------------

    // 前缀
    'session_prefix' => 'swx_',
    // 过期时间(s)
    'session_outtime' => 7200,

    // +-----------------------------
    // | 文件上传配置
    // +-----------------------------

    'file' => [
        // 最大上传大小(KB)
        'size' => 15678,
        // 允许上传路径
        'ext' => 'jpg,jpeg,png,gif',
        // 保存目录不存在是否自动创建
        'auto_save' => true,
        // 文件名生成算法，支持sha1，md5，time三种
        'name_algorithm' => 'time',
        // 文件默认保存目录
        'path' => ROOT_PATH.'/upload/',
    ],

    // +-----------------------------
    // | 验证码设置
    // +-----------------------------
    
    'verify'             => [
        // 验证码字体大小(px)
        'fontsize' => 20,     
        // 验证码图片高度 
        'height'   => 32,      
        // 验证码图片宽度
        'width'    => 150,  
        // 验证码位数   
        'length'   => 4,       
        // 验证码字体样式
        'ttf' 	   => '6.ttf', 
        // 验证码过期时间,单位:秒
        'expire'   => 60,      
        // 是否添加混淆曲线
        'curve'	   => true,	   
        // 是否添加杂点
        'noise'	   => true,	 
        // 发起验证后是否需要更新验证码  
        'update'   => true,
	],

    // +-----------------------------
    // | 模板设置
    // +-----------------------------

    'template'               => [
        // 模板后缀
        'view_suffix'  => '.html',
        // 模板引擎标签开始标记
        'tpl_begin'    => '{',
        // 模板引擎标签结束标记
        'tpl_end'      => '}',
    ],
];
